Skip to content

List all the workflows applicable for a partition.

Request

List all workflows for provided partition.

Key Points

  1. This will include both the private and public workflows.
  2. Workflows can be fetched using this API.
  3. If the workflow service is down we get a 502 from gateway.
Security
bearer
Query
prefixstring

Filter workflow names which start with the full prefix specified.

Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow?prefix=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

List of all the workflows (public & private) accessible from the partition.

Bodyapplication/json
Array [
createdBystring
creationTimestampinteger, (int64)
descriptionstring
registrationInstructionsobject(RegistrationInstructionsResponse)
versioninteger, (int64)
workflowIdstring
workflowNamestring
]
Response
[ { "createdBy": "string", "creationTimestamp": 0, "description": "string", "registrationInstructions": { … }, "version": 0, "workflowId": "string", "workflowName": "string" } ]